VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCustom fields

Delete Custom field

Delete a Custom field by id.

DELETE
/customFields/{customFieldId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

customFieldId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/customFields/string"
{  "customField": {    "vayuEntity": "Customer",    "vayuCustomFieldName": "string",    "valueType": "String",    "integrationSource": "NetSuite",    "integrationEntityType": "Account",    "fieldPath": "string",    "allowedValues": [      "string"    ],    "defaultValue": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "string"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}